######## analisys ######################################
# Exemple de fichier décrivant les paramètres d'un script
# (afin de générer le formulaire dans le ctManager),
# et ses entrées/sorties (afin de le conecter à d'autres scripts)
# Type de paramètres : list, text, int, string, (...)
# Ce fichier est à renommer en "nom_du_script.yml" et à mettre dans le répertoire du script
###########################################################

##
############## Description du script lui-même pour l'utilisateur de ctManager, ainsi que les formats d'entrée/sorties ############################
##

script:
  name: correspondance_analysis.py
  desc: MFCA
  type: data analysis
  author: 'jean-philippe cointet'
  tags: ['analysis','FCA']
  documentation: https://docs.cortext.net/correspondance-analysis/
  inputs:
   -
      type: db
      structure: reseaulu
      type: sqlite

  outputs:
    -
      type: json
      name: visu
      structure: protovis
  outputs:
    -
      type: gexf
      name: visu
      structure: sigma
      

##
############## Paramètres du scripts (construction du formulaire utilisateur et variables renvoyées aux script) ############
##
section:
  sect1:
    label: Variables
    order: 1
    required: yes
    opened: yes
    params:
      container:
        label: Container to be used
        help: Special parameter removed before instantiating CortextMethod
        required: yes
        type: list
        widget:
          choices: ["docker:cortext-methods/correspondance-analysis"]
          default: "docker:cortext-methods/correspondance-analysis"
      table_source_base:
        label: id Fields
        help: Define the field from which the set of individual entries will be extracted
        type: list
        required: yes
        widget:     
          source: descriptor
          multiple: no
          expanded: yes
          choices: tablenames
          default: ''

      tables_source:
        label: Fields
        help: Define the set of fields to analyze
        type: list
        required: yes
        widget:     
          source: descriptor
          multiple: yes
          expanded: yes
          choices: totaltables
          default: ['']

          
      tables_source_supp:
        label: Supplementary Fields
        help: Define the set of fields to project on the MCA but that will not take part to the definition of the factor analyze
        type: list
        required: yes
        widget:     
          source: descriptor
          multiple: yes
          expanded: yes
          choices: totaltables
          default: ['']      
      top:
        label: Number of nodes 
        help: Number of top nodes to consider in each field (max=500). Nodes with other values will be ignored
        type: string
        required: yes
        widget:
          source: no
          default: '10'
          hide: no
      minimum_number:
        label: Minimum number of individuals for each modality
        help: Minimum number of individuals for each modality
        type: string
        required: yes
        widget:
          source: no
          default: '5'
          hide: no
      file_output:
          label: Export the Burt data table  
          help:  Export the Burt data table file which can be reworked using R
          type: list
          required: yes
          widget:
            multiple: no
            expanded: yes
            choices: ['yes','no']
            default: 'no'          
      
          
  # sect2:
  #    label: Dynamics 
  #    order: 2
  #    required: yes
  #    opened: no
  #    params:
  #      periods:
  #        label: Choose Original Timescale
  #        help: 'Which original time division do you wish to use ? Standard Periods (years for bibliographic datasets or original timescale) or Custom Periods as produced by corpus_slicer.'
  #        type: list
  #        required: yes
  #        widget:
  #          source: descriptor
  #          multiple: no
  #          expanded: yes
  #          choices: custom_period
  #          default: 'Standard Periods'
  #      nb_period:
  #        label: Number of time slices
  #        help: The dataset will be divided in n periods
  #        type: string
  #        required: yes
  #        widget: 
  #          source: list
  #          default: '1'
  #          hide: no
  #      time_cut_type:
  #        label: time slices distribution
  #        help: 'regular time slices will split the time uniformly according to timesteps, homogeneous time slices will split the time uniformly according to the number of documents'        
  #        type: list
  #        widget: 
  #          source: list
  #          multiple: no
  #          expanded: yes
  #          choices: ['regular','homogeneous']
  #          default: 'homogeneous'
  #      overlap:
  #        label: Overlapping periods
  #        help: "if yes, times slices will be merged such that for each couple of periods (P(t), P(t+1)) a new period P'(t)=P(t) U P(t+1) will be created - in the end n-1 overlapping periods are produced where n is the number of time slices"  
  #        type: list
  #        widget: 
  #          source: list
  #          multiple: no
  #          expanded: yes
  #          choices: [yes,no]
  #          default: no
  # 
  # 
  #      project_path:
  #        type: string
  #        default: ""
  #        
  #        
 
